
From: Trond Myklebust <trond.myklebust@fys.uio.no>

NFSv2/v3 locking: Patch by Patrice Dumas that adds a check to ensure we
really were requesting a blocking lock when we get a reply from the server
asking us to block.


---

 fs/lockd/clntproc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/lockd/clntproc.c~nfs-lockd-sync-02 fs/lockd/clntproc.c
--- 25/fs/lockd/clntproc.c~nfs-lockd-sync-02	2004-02-29 14:55:42.000000000 -0800
+++ 25-akpm/fs/lockd/clntproc.c	2004-02-29 14:55:42.000000000 -0800
@@ -456,7 +456,7 @@ nlmclnt_lock(struct nlm_rqst *req, struc
 		}
 		if (status < 0)
 			return status;
-	} while (resp->status == NLM_LCK_BLOCKED);
+	} while (resp->status == NLM_LCK_BLOCKED && req->a_args.block);
 
 	if (resp->status == NLM_LCK_GRANTED) {
 		fl->fl_u.nfs_fl.state = host->h_state;

_
